### Method

# Gimp Image scale

#### Declaration [src]

    gboolean
    gimp_image_scale (
      GimpImage* image,
      gint new_width,
      gint new_height
    )

#### Description [src]

Scale the image using the default interpolation method.

This procedure scales the image so that its new width and height are equal to the supplied parameters. All layers and channels within the image are scaled according to the specified parameters; this includes the image selection mask. The interpolation method used can be set with gimp_context_set_interpolation().

#### Parameters

`new_width` | `gint`
| New image width.
`new_height` | `gint`
| New image height.

#### Return value

Returns: | `gboolean`
| TRUE on success.